javax.validation.spi

## Interface ConfigurationState

-     public interface ConfigurationState

  Contract between a `Configuration` and a `ValidationProvider` to create a `ValidatorFactory`.

  The configuration artifacts defined in the XML configuration and provided to the `Configuration` are merged and passed along via `ConfigurationState`.
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Gunnar Morling

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstraintValidatorFactory` | `getConstraintValidatorFactory()` Returns the constraint validator factory of this configuration.
    `Set<InputStream>` | `getMappingStreams()` Returns a set of configuration streams.
    `MessageInterpolator` | `getMessageInterpolator()` Returns the message interpolator of this configuration.
    `ParameterNameProvider` | `getParameterNameProvider()` Returns the parameter name provider for this configuration.
    `Map<String,String>` | `getProperties()` Returns a map of non type-safe custom properties.
    `TraversableResolver` | `getTraversableResolver()` Returns the traversable resolver for this configuration.
    `boolean` | `isIgnoreXmlConfiguration()` Returns `true` if `Configuration.ignoreXmlConfiguration()` has been called.

- - ### Method Detail

    - #### isIgnoreXmlConfiguration

          boolean isIgnoreXmlConfiguration()

      Returns `true` if `Configuration.ignoreXmlConfiguration()` has been called.

      In this case, the `ValidatorFactory` must ignore `META-INF/validation.xml`.
      Returns:
        `true` if `META-INF/validation.xml` should be ignored

    - #### getMessageInterpolator

          MessageInterpolator getMessageInterpolator()

      Returns the message interpolator of this configuration.

      Message interpolator is defined in the following decreasing priority:
      - set via the `Configuration` programmatic API
      - defined in `META-INF/validation.xml` provided that `ignoreXmlConfiguration` is false. In this case the instance is created via its no-arg constructor.
      - `null` if undefined.
      Returns:
        message interpolator instance or `null` if not defined

    - #### getMappingStreams

          Set<InputStream> getMappingStreams()

      Returns a set of configuration streams.

      The streams are defined by:
      - mapping XML streams passed programmatically in `Configuration`
      - mapping XML streams located in the resources defined in `META-INF/validation.xml` (constraint-mapping element)

      Streams represented in the XML configuration and opened by the `Configuration` implementation must be closed by the `Configuration` implementation after the `ValidatorFactory` creation (or if an exception occurs). All streams are guaranteed to adhere to the mark/reset contract (see `InputStream.markSupported()` by the Bean Validation provider.
      Returns:
        set of input stream

    - #### getConstraintValidatorFactory

          ConstraintValidatorFactory getConstraintValidatorFactory()

      Returns the constraint validator factory of this configuration.

      The `ConstraintValidatorFactory` implementation is defined in the following decreasing priority:
      - set via the `Configuration` programmatic API
      - defined in `META-INF/validation.xml` provided that `ignoredXmlConfiguration` is `false`. In this case the instance is created via its no-arg constructor.
      - `null` if undefined.
      Returns:
        factory instance or `null` if not defined

    - #### getTraversableResolver

          TraversableResolver getTraversableResolver()

      Returns the traversable resolver for this configuration.

      `TraversableResolver` is defined in the following decreasing priority:
      - set via the `Configuration` programmatic API
      - defined in `META-INF/validation.xml` provided that `ignoredXmlConfiguration` is `false`. In this case the instance is created via its no-arg constructor.
      - `null` if undefined.
      Returns:
        traversable resolver instance or `null` if not defined

    - #### getParameterNameProvider

          ParameterNameProvider getParameterNameProvider()

      Returns the parameter name provider for this configuration.

      `ParameterNameProvider` is defined in the following decreasing priority:
      - set via the `Configuration` programmatic API
      - defined in `META-INF/validation.xml` provided that `ignoreXmlConfiguration` is `false`. In this case the instance is created via its no-arg constructor.
      - `null` if undefined.
      Returns:
        parameter name provider instance or `null` if not defined
      Since:
        1.1

    - #### getProperties

          Map<String,String> getProperties()

      Returns a map of non type-safe custom properties.

      Properties defined via:
      - `Configuration.addProperty(String, String)`
      - `META-INF/validation.xml` provided that `ignoreXmlConfiguration`
      is `false`.

      If a property is defined both programmatically and in XML, the value defined programmatically has priority.
      Returns:
        `Map` whose key is the property key and the value the property value

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.